@import "../node_modules/bootstrap/dist/css/bootstrap.min.css";

body {
    margin: 0;
    padding: 0;
}

.grid-container {
    height: 100vh;
    display: flex;
    flex-direction: column;
}

.fila1 {
    flex: 1;
    display: flex;
    flex-direction: row;
    background-color: #007BFF; 
    color: white;
}

.fila2 {
    flex: 10;
    display: flex;
    flex-direction: row; 
    background-color: #add8e6; 
}

.texto {
    display: flex;
    align-items: center;
    justify-content: start;
    padding: 20px;
}

.card-container {
    display: flex;
    justify-content: start;
    padding: 20px;
}

.card {
    text-align: center;
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 20px;
    background-color: #fff;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
}

.card-header,
.card-footer {
    margin-bottom: 15px;
}

.score {
    font-size: 3em;
}

.max-score .score-value {
    font-weight: bold;
    color: blue;
}

.cards-and-buttons {
    flex: 2; 
    display: flex;
    flex-direction: row;
    align-items: stretch;
    padding: 20px; 
}

.button-container {
    flex: 1; 
    display: flex;
    justify-content: center;
    padding-left: 20px; 
    align-items: stretch; 
}

.button-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-grow: 1;
    margin: 10px 0; 
}

.custom-button {
    flex-grow: 1; 
    width: 100%; 
    background-color: #007BFF; 
    color: white;
    border: none;
    text-align: center;
    cursor: pointer;
    transition: background-color 0.3s;
}

.custom-button:last-child {
    margin-bottom: 0; 
}
.custom-button:hover {
    background-color: #add8e6; 
}

.wall {
    flex: 1; 
    display: flex;
    flex-direction: row;
    align-items: stretch;
    padding: 20px;
}
.wall-of-fame {
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: px;
    background-color: #fff;
    box-shadow: 0 4px 8px 0 rgba(0,0,0,0.2);
    display: flex;
    flex-direction: column;
}

.wall-of-fame-header {
    margin-bottom: 10px;
    font-size: 1.5em;
    text-align: center;
}

.wall-of-fame-input {
    margin-bottom: 10px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid #ddd;
}

.wall-of-fame-names {
    display: flex;
    flex-direction: column;
    text-align: center;
}

